package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityUserInfo;
import com.ruoyi.generator.vo.CommunityUserInfoVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CommunityUserInfoMapper extends BaseMapper<CommunityUserInfo> {
    /**
     * 根据搜索值,搜索用户
     *
     * @param SearchValue 搜索值
     * @return 用户
     */
    List<CommunityUserInfoVo> selectUserBySearchValue(String SearchValue);

    /**
     * 根据账户或者用户名称,搜索用户
     * @param SearchValue
     * @return 用户
     */
    List<CommunityUserInfoVo> selectUsersByAccountOrName(String SearchValue);
}
